#
# spec file for package usbauth
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2017 Stefan Koch <stefan.koch10@gmail.com>
# Copyright (c) 2015 SUSE LLC. All Rights Reserved.
# Author: Stefan Koch <skoch@suse.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           usbauth
Version:        1.0
Release:        lp150.1.1
Summary:        USB firewall against BadUSB attacks
License:        GPL-2.0
Group:          System/Daemons
Url:            https://github.com/kochstefan/usbauth-all/tree/master/usbauth

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}.tar.bz2

Requires:       systemd
Requires:       udev
BuildRequires:  dbus-1-devel
BuildRequires:  libtool
BuildRequires:  libudev-devel
BuildRequires:  libusbauth-configparser-devel
BuildRequires:  systemd-rpm-macros
%{!?_udevrulesdir: %global _udevrulesdir %(pkg-config --variable=udevdir udev)/rules.d }

%description
It is a firewall against BadUSB attacks. A config file descibes in which way devices would be accepted.

%prep
%setup -n %{name}

%build
autoreconf -f -i
%configure
%make_build

%install
%make_install udevrulesdir=%_udevrulesdir

%files
%defattr(-,root,root)
%doc COPYING README
%_sbindir/usbauth
%config %_sysconfdir/dbus-1/system.d/org.opensuse.usbauth.conf
%config %_sysconfdir/usbauth.conf
%_udevrulesdir/20-usbauth.rules
%_mandir/man1/usbauth.1.*

%post
%{?udev_rules_update:%udev_rules_update}

%postun
%{?udev_rules_update:%udev_rules_update}

%changelog
* Tue Feb 13 2018 stefan.koch10@gmail.com
- update outdated source (fix dbus group)
- remove group creation within spec file
* Mon Feb  5 2018 meissner@suse.com
- updated to current git
* Thu Feb  1 2018 meissner@suse.com
- do not do groupdel
* Thu Oct 12 2017 meissner@suse.com
- initial package, a USB device authentication tool that avoids
  BadUSB style attacks.
